Skip to main content

Webhook: Makes an HTTP API request to an endpoint.

name
string
required

Human-readable name of the node

Example:

"Notify internal CRM"

node_type
string
required
Allowed value: "httpapi_webhook"
http_method
enum<string>
required

HTTP method of the API call.

Available options:
GET,
PUT,
POST,
PATCH,
DELETE
url
string<uri>
required

Endpoint URL of the API call. You can add variables in JSONNET format. Eg. "https://api.example.com/webhook?id="+data["$recipient"].id

Example:

"https://api.example.com/webhook"

description
string | null

Description of what this node does

headers
object[]

List of headers as key-value pairs. You can add variables in JSONNET format. Eg. "Bearer"+data["$tenant"].api_key

body_content_type
string
default:application/json

Content type for the body.

body
string

JSONNET script to evaluate request body.

query_params
object[]

List of query parameters as key-value pairs. You can add variables in JSONNET format. Eg. data["$recipient"].id

output_key
string

Optional key to store the response body of API call. If not provided, the response will be appended at the root of the workflow payload. It's recommended to provide a unique key here to avoid overwriting existing data.